{% extends 'base.html' %}

{% block autenticacion-permiso %}
    {% if not perms.auth.change_permission %}
        <meta http-equiv="REFRESH" content="0;url=/">
    {% endif %}
{% endblock %}

{% block nav-permisos %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'oauth_app:index' %}">Permisos <span class="sr-only">(current)</span></a>
    </li>
{% endblock %}

{% block content %}
    <div class="container">
        <div class="py-5 text-center">
            <h1 class="text-light"> Lista de usuarios </h1>
        </div>
        <div class="row bg-light border rounded border-dark">

            <div class="input-group">
                <input type="text" id="buscarUsuario" onkeyup="buscarTabla('buscarUsuario','tablaUsuarioRol')" placeholder="Buscar por nombre"
                       title="Type in a name" class="form-control m-3" aria-describedby="inputGroup-sizing-lg">
                <div class="input-group-append">
                    <a class="btn btn-outline-secondary m-3" type="button"
                            href="{% url 'oauth_app:index' %}">Volver
                    </a>
                </div>
            </div>


            <table class="table table-hover" id="tablaUsuarioRol">
                <thead class="thead-dark">
                <tr>
                    <th scope="col" onclick="sortTable(0,'tablaUsuarioRol','Numero')">#</th>
                    <th scope="col" onclick="sortTable(1,'tablaUsuarioRol','String')">Nombre</th>
                    <th scope="col">Acción</th>
                </tr>
                </thead>
                <tbody>
                {% if listaRol %}
                    {% for u in listaRol %}
                        {% if not u.name == 'SUPERADMIN'  %}
                            <tr>
                                <td class="font-weight-bold" scope="row">{{ u.id }}</td>
                                <td style="word-wrap: break-word;min-width: 160px;max-width: 160px;">{{ u.name }}</td>
                                <td><a class="btn {% if u.name == 'Administrador' or u.name == 'Nuevo Usuario' %}disabled{% else %}text-primary{% endif %}" href="{% url 'oauth_app:modificarRol' u.id %}" >Editar</a></td>
                            </tr>
                        {% endif %}
                    {% endfor %}
                {% else %}

                {% endif %}
                </tbody>

            </table>
        </div>
    </div>
    <script>
        function buscarTabla() {
            var input, filter, table, tr, td, i, txtValue;
            input = document.getElementById("buscarUsuario");
            filter = input.value.toUpperCase();
            table = document.getElementById("tablaUsuario");
            tr = table.getElementsByTagName("tr");
            for (i = 0; i < tr.length; i++) {
                td = tr[i].getElementsByTagName("td")[0];
                if (td) {
                    txtValue = td.textContent || td.innerText;
                    if (txtValue.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                    } else {
                        tr[i].style.display = "none";
                    }
                }
            }
        }
    </script>
{% endblock %}

